usergrid-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From g...@apache.org
Subject [79/82] [abbrv] git commit: added error message to script
Date Wed, 22 Oct 2014 21:12:21 GMT
added error message to script


Project: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/commit/d183fbeb
Tree: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/tree/d183fbeb
Diff: http://git-wip-us.apache.org/repos/asf/incubator-usergrid/diff/d183fbeb

Branch: refs/heads/two-dot-o-events
Commit: d183fbebf9d42c7ce371106f3c09c75df57597da
Parents: a3ba349
Author: Ubuntu <ubuntu@ip-10-18-140-7.us-west-2.compute.internal>
Authored: Wed Oct 22 20:43:24 2014 +0000
Committer: Ubuntu <ubuntu@ip-10-18-140-7.us-west-2.compute.internal>
Committed: Wed Oct 22 20:43:24 2014 +0000

----------------------------------------------------------------------
 stack/loadtests/gatling/scripts/gatling-ug.sh | 6 ++++++
 1 file changed, 6 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-usergrid/blob/d183fbeb/stack/loadtests/gatling/scripts/gatling-ug.sh
----------------------------------------------------------------------
diff --git a/stack/loadtests/gatling/scripts/gatling-ug.sh b/stack/loadtests/gatling/scripts/gatling-ug.sh
index e08ad1d..67f1392 100755
--- a/stack/loadtests/gatling/scripts/gatling-ug.sh
+++ b/stack/loadtests/gatling/scripts/gatling-ug.sh
@@ -12,6 +12,12 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
+die () {
+    echo >&2 "$@"
+    exit 1
+}
+
+[ "$#" -eq 5 ] || die "5 arguments required, $# provided.  Arguments are URL ORG APP NUM_USERS
RAMP_TIME"
 
 OLDDIR=`pwd`
 BIN_DIR=`dirname $0`


Mime
View raw message